Debians sikkerhedsbulletin

DSA-711-1 info2www -- manglende kontrol af inddata

Rapporteret den:
19. apr 2005
Berørte pakker:
info2www
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 281655.
I Mitres CVE-ordbog: CVE-2004-1341.
Yderligere oplysninger:

Nicolas Gregoire har i info2www, et program der kan konvertere info-filer til HTML, opdaget en sårbarhed i forbindelse med udførelse af skripter på tværs af websteder. En ondsindet person kunne placere et harmløst udseende link på en webside, hvilket kunne muliggøre udførelse af vilkårlige kommandoer i offerets browser.

I den stabile distribution (woody) er dette problem rettet i version 1.2.2.9-20woody1.

I den ustabile distribution (sid) er dette problem rettet i version 1.2.2.9-23.

Vi anbefaler at du opgraderer din info2www-pakke.

Rettet i:

Debian GNU/Linux 3.0 (woody)

Kildekode:
http://security.debian.org/pool/updates/main/i/info2www/info2www_1.2.2.9-20woody1.dsc
http://security.debian.org/pool/updates/main/i/info2www/info2www_1.2.2.9-20woody1.diff.gz
http://security.debian.org/pool/updates/main/i/info2www/info2www_1.2.2.9.orig.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/i/info2www/info2www_1.2.2.9-20woody1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.